﻿body {
    /*height:100%;*/
    /*height: 100vh;*/
    /* Try removing this.. */
    /*position: fixed;*/
    font-size: 12px;
    width: 100%;
    /*padding:0px;*/
    /*background-color:blue;*/
    overflow: hidden;
    height: 700px;
    margin: 0;
}

h5,
.h5 {
    font-size: 12px;
}

.col-md-2,
.col-md-10 {
    padding: 0;
}

.panel {
    margin-bottom: 0px;
}

.chat-window {
    bottom: 0;
    position: fixed;
    float: right;
    margin-left: 10px;
}

.chat-window>div>.panel {
    border-radius: 5px 5px 0 0;
}

.icon_minim {
    padding: 2px 10px;
}

.msg_container_base {
    background: #e5e5e5;
    margin: 0;
    /*padding: 2;*/
    padding: 0 0 10px;
    /*max-height:65%;
  height:65%;
    min-height: 60%;*/
    overflow-x: hidden;
    overflow: auto;
    height: 100%;
}

.top-bar {
    background: #666;
    color: white;
    padding: 10px;
    position: relative;
    overflow: hidden;
}

.msg_receive {
    padding-left: 0;
    margin-left: 0;
    max-width: 50vw;
    min-width: 35vw;
}

.msg_sent {
    /*padding-bottom:20px !important;*/
    margin-right: 0;
    max-width: 50vw;
    float: right;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
    opacity: 0.95 !important;
}

.messagesModif {
    background: white;
    padding-left: 10px;
    /*padding-top:10px;*/
    padding-right: 10px;
    padding-bottom: 1px;
    /*padding: 10px;*/
    /*height:50px;*/
    border-radius: 2px;
    max-width: 100%;
    width: 100%;
}

.msg_containerModif {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 0px;
    padding-bottom: 0px;
    overflow: hidden;
    display: flex;
    width: 100%;
}

.btn-lg,
.btn-group-lg>.btn {
    /* padding: 10px 16px; */
    /*font-size: 18px;*/
    line-height: 1.3333333;
    border-radius: 6px;
}

.btn {
    display: inline-block;
    padding: 5px 5px 5px 5px;
    margin-bottom: 0;
    /*font-size: 14px;*/
    font-weight: normal;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid lightgrey;
    border-radius: 4px;
}

.messages {
    background: white;
    /*padding: 10px 15px;*/
    border-radius: 2px;
    /*box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);*/
    /*max-width: 100%;*/
}

.messages>p {
    font-size: 13px;
    margin: 0 0 0.2rem 0;
}

.messages>time {
    font-size: 11px;
    color: #ccc;
}

.msg_container {
    padding: 5px;
    overflow: hidden;
    display: flex;
}

img {
    display: block;
    width: 100%;
}

.avatar {
    position: relative;
}


/*.base_receive > .avatar:after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    border: 5px solid #FFF;
    border-left-color: rgba(0, 0, 0, 0);
    border-bottom-color: rgba(0, 0, 0, 0);
}*/

.base_sent {
    justify-content: flex-end;
    align-items: flex-end;
}

.base_sent>.avatar:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 0;
    border: 5px solid white;
    border-right-color: transparent;
    border-top-color: transparent;
    box-shadow: 1px 1px 2px rgba(black, 0.2);
}

.msg_sent>time {
    float: right;
}

.custom-scrollbar::-webkit-scrollbar-track {
    /*-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);*/
    border-radius: 2px;
}

.custom-scrollbar::-webkit-scrollbar {
    width: 8px;
    background-color: rgba(255, 255, 255, .3);
    border: 1px solid rgba(255, 255, 255, .2);
}

.custom-scrollbar::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    background-color: #F5F5F5;
    height: 25px;
    border-radius: 2px;
}

.btn-group.dropup {
    position: fixed;
    left: 0px;
    bottom: 0;
}

.circular {
    width: 300px;
    height: 300px;
    border-radius: 150px;
    -webkit-border-radius: 150px;
    -moz-border-radius: 150px;
    background: url(http://www.bitrebels.com/wp-content/uploads/2011/02/Original-Facebook-Geek-Profile-Avatar-1.jpg) no-repeat;
}

.circular img {
    opacity: 0;
    filter: alpha(opacity=0);
}

.btn-groupIv button {
    background-color: #4CAF50;
    /* Green background */
    border: 1px solid green;
    /* Green border */
    color: white;
    /* White text */
    padding: 10px 24px;
    /* Some padding */
    cursor: pointer;
    /* Pointer/hand icon */
    float: left;
    /* Float the buttons side by side */
}

.btn-groupIv button:not(:last-child) {
    border-right: none;
    /* Prevent double borders */
}


/* Clear floats (clearfix hack) */

.btn-groupIv:after {
    content: "";
    clear: both;
    display: table;
}


/* Add a background color on hover */

.btn-groupIv button:hover {
    background-color: #3e8e41;
}

.img-responsive,
.thumbnail>img,
.thumbnail a>img,
.carousel-inner>.item>img,
.carousel-inner>.item>a>img {
    display: block;
    max-width: 100%;
    height: 130px;
}

p {
    margin: 0 0 5px;
}

.btn-group,
.btn-group-vertical {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    width: 100%;
}

.btn btn-default:hover {
    background-color: white;
}

.MessageReceiveCustom {
    height: auto;
    text-align: left;
}

#Status {
    border-radius: 2px;
    padding: 5px 10px;
    margin-top: 5px;
    font-size: 11px;
    text-transform: uppercase;
    display: none;
}

.modal-overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .5);
    top: 0;
    left: 0;
    z-index: 9999;
    display: none;
}

.FormularioModal {
    display: none;
    position: fixed;
    z-index: 10000;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 85%;
    height: 455px;
    overflow: hidden;
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, .4);
}

.FormularioModalDiv {
    background-color: #fefefe;
    width: 100%;
}

.FormularioModalHeader {
    width: 100%;
    height: 40px;
    display: flex;
    align-items: center;
    font-size: 16px;
    font-weight: bold;
}

.TituloIframeModal {
    float: left;
    width: 90%;
    vertical-align: middle;
    text-align: center;
    color: #565656;
}
.CerrarIframeModal {
    float: right;
    padding-right: 10px;
    color: #cecece;
    cursor: pointer;
}

.attach_document {
    margin-left: 10%;
    margin-right: 10%;
    padding: 0.40em;
    border-radius: 0.42em;
    background-color: lightgrey;
}

.attach_document a {
    text-decoration: none;
}

.attach_document a img {
    display: inline;
    vertical-align: middle;
    width: 25px;
    height: 25px;
}

.attach_document a span {
    vertical-align: middle;
}


/*@media not all, (-webkit-transform-3d)*/


/*.carousel-inner > .item.next.left, .carousel-inner > .item.prev.right, .carousel-inner > .item.active {
    left: 0;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    width: 130px;
}*/

@media screen and (max-width: 480px) {
    #DivContenedor {
        /*background-color:yellow;*/
        height: 40em;
        /*width:20em;*/
    }
    #Contenedor2 {
        /*background-color:red;*/
        height: 40em;
    }
    /*#discussionMaster {
        height: 100%;
        min-height: 21em;
    }*/
    .MessageReceiveCustom {
        height: auto;
        width: 70vw;
    }
    .photo {
        /*background-color: red;*/
        width: 100%;
        height: calc(70vw/1.91);
        text-align: center;
        margin: 0px auto;
    }
    .photo-description {
        /*width: 130px;*/
    }
    .item.active {
        margin: 0px auto;
        /*height: 110px;*/
        /*width: 130px;*/
    }
    .nav-list {
        width: 90vw !important;
        top: 50% !important;
        left: 50% !important;
        transform: translate(-50%, -50%);
        box-shadow: 2px 2px 10px 0 rgba(0, 0, 0, .25) !important;
    }
    .nav-list::after {
        display: none;
    }
    #startButton {
        width: 100% !important;
    }
    .msg_receive {
        max-width: 62vw;
    }
}